%define rname	fastdial
%define version 2.23b1
%define release alt1
%define cid 	telega@phpnet.us
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Fast Dial replaces blank tabs with a panel of thumbnails of your favorite sites
Summary(ru_RU.KOI8-R):	,       

License:	MPL
Group:		Networking/WWW
URL:		http://userlogos.org/extensions/fastdial

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	http://userlogos.org/files/%rname.%version.xpi
Patch0:		%rname.2.23b1-3.5-alt.patch

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 3.0

%description
Click on an empty cell, assign a site URL, click OK - a thumbnail will
be generated for a site. You can also add sites opened in browser or
existing bookmarks by adding site or placing bookmark to "Fast
Dial" group.

* You can change thumbnail's position by drag-n-dropping it. (Hold Ctrl
  while dragging to move thumbnail into a group.)
* Left click on a thumbnail title opens "Properties" dialog. Middle
  click on thumbnail title runs thumbnail refresh.
* Alt+number keyboard shortcut opens assigned site.
* If you move mouse over thumbnail's top, a panel of graphic buttons
  appears.
* To view zoomed image press left mouse button and hold it for a moment.
* You can customize Fast Dial page colors & font in Preferences.
* You can create nested pages of thumbnails by checking "Group" checkbox
  in thumbnail properties.

%description -l ru_RU.KOI8-R
     ,  URL ,   
  .      
  ,       
"Fast Dial".

*     ԣ . ( 
    Ctrl,      );
*         "".
     --   ;
*        Alt 
  ,  ;
*         
  ;
*          
  ţ  ;
*       Fast Dial   "";
*     ()     
  ""   .

%prep
%setup -T -c -n %rname.%version.xpi
unzip -qq %SOURCE0
%patch0 -p1

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sat Aug 22 2009 Yury Aliaev <mutabor@altlinux.ru> 2.23b1-alt1
- v. 2.23b1

* Thu Aug 14 2008 Yury Aliaev <mutabor@altlinux.ru> 2.1-alt1
- initial build for Sisyphus
